---
title: Number.prototype.valueOf()
slug: Web/JavaScript/Reference/Global_Objects/Number/valueOf
tags:
  - JavaScript
  - Method
  - Number
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>valueOf()</code></strong> method returns the wrapped primitive value of a {{jsxref("Number")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/number-valueof.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>numObj</var>.valueOf()</pre>

<h3 id="Return_value">Return value</h3>

<p>A number representing the primitive value of the specified {{jsxref("Number")}} object.</p>

<h2 id="Description">Description</h2>

<p>This method is usually called internally by JavaScript and not explicitly in web code.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_valueOf">Using valueOf</h3>

<pre class="brush: js notranslate">let numObj = new Number(10)
console.log(typeof numObj)  // object

let num = numObj.valueOf()
console.log(num)            // 10
console.log(typeof num)     // number
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.prototype.valueof', 'Number.prototype.valueOf')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.valueOf")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Number.prototype.toSource()")}}</li>
</ul>
